=== win32/Makefile ===
NSIS_PATH=/c/Program Files/NSIS

all:
	PATH="$$PATH:$(NSIS_PATH)" makensis.exe fireflies.nsi

clean:
	rm -f fireflies*.exe
