=== debian/changelog ===
fireflies (2.08) unstable; urgency=low

  * Initial Release.

 -- Sebastian Pipping <sebastian@pipping.org>  Wed, 14 Oct 2015 00:44:50 +0200
